Solución a Errores comunes en Angular 6

Ignacio Buioli
- 12/11/2018

Al actualizar de versiones anteriores a la 6 de Angular a una versión igual o superior a la 6, es muy probable encontrarnos con diversos errores propios de su actualización. Uno de los más comunes en paquetes elaborados, suele ser el siguiente:

Module not found: Error: Can't resolve 'stream'

La solución es bastante sencilla, y consiste en ejecutar lo siguiente en una terminal, dentro del directorio raíz de nuestro proyecto de Angular:

npm install stream --save

De esta forma, se instalará el paquete stream, cuya ausencia es responsable del error.


Por otro lado, es posible que, si nuestro proyecto de Angular era muy viejo, presente un error de estas características:

Cannot redeclare block-scoped variable 'module'

Este error se debe al archivo typings.d.ts, el cual se utilizaba en las primeras versiones de Angular 2. Actualmente ya no es necesario y presenta conflictos, así que lo que hay que hacer es eliminarlo para solucionar el problema.